Bug 490045 - firefox crash on close
firefox crash on close
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Triaged
: 490043 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 18:48 EDT by Oliver Henshaw
Modified: 2014-06-16 08:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:00:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace from crash (7.57 KB, text/plain)
2009-03-12 18:48 EDT, Oliver Henshaw
no flags Details

  None (edit)
Description Oliver Henshaw 2009-03-12 18:48:23 EDT
Created attachment 335028 [details]
backtrace from crash

Description of problem:

Firefox crashed when I tried to close it. Backtrace is attached.


Version-Release number of selected component (if applicable):

firefox-3.0.6-1.fc10.i386
Comment 1 Martin Stransky 2009-03-13 04:48:22 EDT
Wow, null pointer referenced...can you provide some test case? How we can reproduce it?
Comment 2 Oliver Henshaw 2009-03-13 06:52:06 EDT
No, sorry, this only happened once. I thought you would be better placed to examine program flow or to identify patterns than me.
Comment 3 Matěj Cepl 2009-03-23 13:32:48 EDT
Looks like yours, Martin,

Thread 1 (Thread 0xb7f546d0 (LWP 4673)):
#0  0x00995416 in __kernel_vsyscall ()
#1  0x006801f3 in __lll_lock_wait_private ()
#2  0x00601cfd in _L_lock_4593 () from /lib/libc.so.6
#3  0x005fe34a in __libc_free (mem=0x90d4160) at malloc.c:3623
#4  0x03373d0f in nsProfileLock::Unlock (this=0x90d407c)
#5  0x03373d61 in nsProfileLock::RemovePidLockFiles () at nsProfileLock.cpp:150
#6  0x03373f67 in nsProfileLock::FatalSignalHandler (signo=6)
#7  <signal handler called>
#8  0x00995416 in __kernel_vsyscall ()
#9  0x005b8460 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#10 0x005b9e28 in abort () at abort.c:88
#11 0x005f5fed in __libc_message (do_abort=2, 
#12 0x005fc3a4 in malloc_printerr (action=2, 
#13 0x005fe356 in __libc_free (mem=0xdd27d88) at malloc.c:3625
#14 0x0093f591 in operator delete (ptr=0x0)
#15 0x03b9e278 in nsSupportsCStringImpl::Release (this=0xdd27d88)
#16 0x03b89dbd in ~nsCOMPtr_base (this=<value optimized out>)
#17 0x03b93f83 in ~nsCOMPtr () at ../glue/nsCOMPtr.h:950
#18 ~nsBaseHashtableET () at ../glue/nsBaseHashtable.h:312
#19 nsTHashtable<nsBaseHashtableET<nsCharPtrHashKey, nsCOMPtr<nsISupports> > >::s_ClearEntry (table=0xe2a9cfc, entry=0x9d161e8) at ../glue/nsTHashtable.h:391
#20 0x03b882df in PL_DHashTableFinish (table=0xe2a9cfc) at pldhash.c:373
#21 0x03b99f87 in ~nsTHashtable ()
#22 ~nsBaseHashtable () at ../../dist/include/xpcom/nsBaseHashtable.h:84
Comment 4 Martin Stransky 2009-03-25 09:08:05 EDT
Do you have any reproducer, Matej?
Comment 5 Martin Stransky 2009-03-25 09:10:43 EDT
*** Bug 490043 has been marked as a duplicate of this bug. ***
Comment 6 Oliver Henshaw 2009-03-25 09:24:41 EDT
These were separate crashes, for what it's worth.
Comment 7 Martin Stransky 2009-03-25 09:34:32 EDT
The backtraces are similar so let's catch one at least.
Comment 8 Martin Stransky 2009-04-28 04:41:29 EDT
It can be this one - https://bugzilla.mozilla.org/show_bug.cgi?id=432114
Comment 9 Bug Zapper 2009-11-18 06:20:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 04:00:48 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.